// EEPROM Programmer
// Chris Ward, 1998-2000

// hardware.h
//  - Parallel port access
//  - EEPROM programming/reading code

#ifndef HARDWARE_H
#define HARDWARE_H

// constants for setting device type
enum dev_code { DEV_2817, DEV_2864, DEV_2764, DEV_27128, DEV_27256 };

// defines for modes set by the control register
#define ENABLE 1		// C0 = chip enable
#define OUTPUT 2		// C1 = output enable
#define WRITE  8		// C3 = write enable


void setuplpt(unsigned short port);
void ProgramChip(unsigned char *buf);
void ReadChip(unsigned char *buf);
void VerifyChip(unsigned char *buf);
void writebyte(unsigned long addr, unsigned char byte);
unsigned char readbyte(unsigned long addr);

#endif
